# $Revision: 1.12 $, $Date: 2010/06/06 08:32:25 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Convert
%define		pnam	Scalar
Summary:	Convert::Scalar - convert between different representations of perl scalars
Summary(pl.UTF-8):	Convert::Scalar - konwersja między różnymi reprezentacjami perlowych skalarów
Name:		perl-Convert-Scalar
Version:	1.04
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	849a207e94b7714c677f476608418199
URL:		http://search.cpan.org/dist/Convert-Scalar/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module exports various internal perl methods that change the
internal representation or state of a perl scalar. All of these work
in-place, that is, they modify their scalar argument.

%description -l pl.UTF-8
Ten moduł eksportuje różne wewnętrzne perlowe metody zmieniające
wewnętrzną reprezentację lub stan perlowego skalara. Wszystko to
działa "na miejscu", czyli modyfikowany jest argument skalarny.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Convert/Scalar.pm
%dir %{perl_vendorarch}/auto/Convert/Scalar
%{perl_vendorarch}/auto/Convert/Scalar/Scalar.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Convert/Scalar/Scalar.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Convert-Scalar.spec,v $
Revision 1.12  2010/06/06 08:32:25  arekm
- release 2

Revision 1.11  2009/06/17 06:54:20  amateja
- updated to 1.04

Revision 1.10  2008/02/10 12:02:34  arekm
- rel 2

Revision 1.9  2008-01-10 08:38:35  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.8  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.6  2006/07/26 19:24:24  glen
- 1.03, generic URL

Revision 1.5  2004/12/01 17:28:14  radek
- autoupdated to 1.02

Revision 1.4  2004/11/03 22:30:11  paladine
- formatting

Revision 1.3  2004/04/25 16:23:25  adamg
- updated to 1.01

Revision 1.2  2004/04/18 22:17:10  ankry
- license fixes and cosmetics

Revision 1.1  2003/12/11 13:55:13  qboosh
- new

